Bug 73869 - RTL Problem at the StartCenter window
Summary: RTL Problem at the StartCenter window
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: x86 (IA32) Windows (All)
: low normal
Assignee: Faisal Menawer
URL:
Whiteboard: target:4.3.0 target:4.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 10:38 UTC by Daniel Gembom
Modified: 2014-02-24 15:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Her the cursor points the white area near the green menu (115.11 KB, image/png)
2014-01-21 10:38 UTC, Daniel Gembom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Gembom 2014-01-21 10:38:10 UTC
Created attachment 92513 [details]
Her the cursor points the white area near the green menu

Problem description: 
I found a RTL problem in the mine-menu windows (maybe its so called "UI"?), with the Hebrew localized version. When the mouse cursor flew over the left row of thumbnails it doesnt highlights. Only when it moves over the white field between the roght row to the green menu, the left row thumbnails highlights. However, the right row highlights almost properly. There seems to be a synchronization issue between the RTL-appearance to his fields.
Comment 1 Adolfo Jayme 2014-01-21 18:28:17 UTC
Kendy (and Tamás) were working on this. Can you have a look please?
Comment 2 Daniel Gembom 2014-01-26 14:05:16 UTC
Pardon,
What you mean to "take a look"?
What exactly should I do?
Comment 3 Adolfo Jayme 2014-01-26 14:59:52 UTC
(In reply to comment #2)
> What exactly should I do?

Nothing, I’m sorry. That comment was meant for the CCed people, of course.
Comment 4 Commit Notification 2014-01-30 12:02:23 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5115e33e4c5e49e9b79ed32fccc193a99c3dc30

fdo#73869 fix highlight RTL Problem at the StartCenter window.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-02-24 15:53:59 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2ebcf3377bbb0826a193572b708d56eb6ca42a2&h=libreoffice-4-2

fdo#73869 fix highlight RTL Problem at the StartCenter window.


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.